Skip to main content
GET
/
_api
/
accounts
/
{accountId}
Get account
curl --request GET \
  --url https://dev.go.simplytokenized.com/_api/accounts/{accountId} \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dev.go.simplytokenized.com/_api/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://dev.go.simplytokenized.com/_api/accounts/{accountId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "communication": {
    "email": "jsmith@example.com",
    "email_confirmed": true
  },
  "bank_account": {
    "account_holder": "<string>",
    "bank": "<string>",
    "bic": "<string>",
    "country": "<string>",
    "currency": "<string>",
    "iban": "<string>"
  },
  "is_beneficiary": true,
  "tax_information": {
    "non_assessment_certificate": true,
    "tax_identification_number": "<string>",
    "is_subject_to_german_tax": true
  },
  "individual": {
    "firstName": "<string>",
    "lastName": "<string>",
    "birth_date": "<string>",
    "birth_place": "<string>",
    "citizenship": "<string>",
    "gender": "",
    "street": "<string>",
    "city": "<string>",
    "zip": "<string>",
    "state": "<string>",
    "country": "<string>",
    "phone": "<string>"
  },
  "company": {
    "name": "<string>",
    "registration_number": "<string>",
    "legal_form": "<string>",
    "vat_id": "<string>",
    "incorporation_date": "<string>",
    "street": "<string>",
    "city": "<string>",
    "zip": "<string>",
    "state": "<string>",
    "country": "<string>",
    "phone": "<string>"
  },
  "kyc": {},
  "kyb": {}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}

Authorizations

Authorization
string
header
required

Bearer access token from POST /_api/auth

Path Parameters

accountId
string<uuid>
required

accountId identifier

Response

Success

id
string<uuid>
required
type
enum<string>
required
Available options:
INDIVIDUAL,
COMPANY
communication
object
required
bank_account
object
required
is_beneficiary
boolean
required
tax_information
object
individual
object
company
object
kyc
object
kyb
object